<?php
declare(strict_types=1);

namespace Inti\Test\Constraint\Container;

use PHPUnit\Framework\Constraint\Constraint;
use Psr\Container\ContainerInterface;

use function sprintf;

/**
 * Class HasService
 *
 * @package Inti\Test\Constraint\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-test
 */
final class HasService extends Constraint
{
    private string $service;

    public function __construct(string $service)
    {
        $this->service = $service;
    }

    /**
     * @param ContainerInterface|array $other
     * @return bool
     */
    protected function matches($other): bool
    {
        return $other->has($this->service);
    }

    protected function failureDescription($other): string
    {
        return 'the given container ' . $this->toString();
    }

    public function toString(): string
    {
        return sprintf("has the service '%s' registered", $this->service);
    }
}
