<?php
declare(strict_types=1);

namespace Inti\Test\TestCase;

use Doctrine\DBAL\Connection;
use Inti\Db\Connection\ConnectionManager;

/**
 * Trait DatabaseTestTrait
 *
 * @package Inti\Test\TestCase
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-test
 */
trait DatabaseTestTrait
{
    protected function createConnection(string $name = 'default'): Connection
    {
        $container = $this->createContainer();
        /** @var ConnectionManager $connectionManager */
        $connectionManager = $container->get(ConnectionManager::class);

        return $connectionManager->get($name);
    }
}
